Bug 3965 - valid users + security ads + winbind
valid users + security ads + winbind
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.23a
x64 Linux
: P2 normal
: 3.0.23
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 06:42 UTC by spi
Modified: 2006-08-08 10:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spi 2006-07-26 06:42:33 UTC
valid users = @DOMAIN+somegroup doesn't work strangly 
valid users = @somegroup (somegroup == ADS group name) works.
Same is true for write list. I'm using 3.0.23a sernet rpm's.
By the way I don't use 'winbind use default domain'. Is this behaviour by design or is it a bug? It clearly changed between 3.0.21c and 3.0.23a.
Comment 1 Gerald (Jerry) Carter 2006-08-04 12:17:54 UTC
Confirmed.  

lookup_name()appears to not honuor the winbind separator 
but rather assumes a '\'.  Change your config to use

	valid users = @"DOMAIN\name with spaces".

for a temporary workaround until 3.0.23b.
Comment 2 Gerald (Jerry) Carter 2006-08-08 10:34:59 UTC
fixed in 3.0.23b